Loading...
Searching...
No Matches
mongocxx::options::client Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/client.hpp>`

## Description

Used by clients.

## Public Member Functions

| client ()=default
| Default initialization.
bsoncxx::v_noabi::stdx::optional< apm > const & | apm_opts () const
| The current APM-related options.
client & | apm_opts (apm apm_opts)
| Sets the APM-related options.
bsoncxx::v_noabi::stdx::optional< auto_encryption > const & | auto_encryption_opts () const
| Gets the current automatic encryption options.
client & | auto_encryption_opts (auto_encryption auto_encryption_opts)
| Sets the automatic encryption options.
bsoncxx::v_noabi::stdx::optional< v1::oidc_callback > const & | oidc_callback () const
| The current OIDC callback.
client & | oidc_callback (v1::oidc_callback oidc_callback)
| Sets the OIDC callback.
bsoncxx::v_noabi::stdx::optional< server_api > const & | server_api_opts () const
| Gets the current server API options or returns a disengaged optional if there are no server API options set.
client & | server_api_opts (server_api server_api_opts)
| Sets the server API options.
bsoncxx::v_noabi::stdx::optional< tls > const & | ssl_opts () const
| The current SSL-related options.
client & | ssl_opts (tls ssl_opts)
| Sets the SSL-related options.
bsoncxx::v_noabi::stdx::optional< tls > const & | tls_opts () const
| The current TLS-related options.
client & | tls_opts (tls tls_opts)
| Sets the TLS-related options.

## Constructor & Destructor Documentation

## client()

mongocxx::v_noabi::options::client::client | ( |  | ) |

default

Default initialization.

## Member Function Documentation

## apm_opts() [1/2]

bsoncxx::v_noabi::stdx::optional< apm > const & mongocxx::v_noabi::options::client::apm_opts | ( |  | ) | const

inline

The current APM-related options.

Returns
  The APM-related options.

## apm_opts() [2/2]

client & mongocxx::v_noabi::options::client::apm_opts | ( | apm | apm_opts | ) |

inline

Sets the APM-related options.

Parameters

  apm_opts | The APM-related options.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## auto_encryption_opts() [1/2]

bsoncxx::v_noabi::stdx::optional< auto_encryption > const & mongocxx::v_noabi::options::client::auto_encryption_opts | ( |  | ) | const

inline

Gets the current automatic encryption options.

Returns
  The automatic encryption opts.

## auto_encryption_opts() [2/2]

client & mongocxx::v_noabi::options::client::auto_encryption_opts | ( | auto_encryption | auto_encryption_opts | ) |

inline

Sets the automatic encryption options.

Parameters

  auto_encryption_opts | The options for automatic encryption.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## oidc_callback() [1/2]

bsoncxx::v_noabi::stdx::optional< v1::oidc_callback > const & mongocxx::v_noabi::options::client::oidc_callback | ( |  | ) | const

inline

The current OIDC callback.

Returns
  The OIDC callback.

## oidc_callback() [2/2]

client & mongocxx::v_noabi::options::client::oidc_callback | ( | v1::oidc_callback | oidc_callback | ) |

inline

Sets the OIDC callback.

Parameters

  oidc_callback | The OIDC callback.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## server_api_opts() [1/2]

bsoncxx::v_noabi::stdx::optional< server_api > const & mongocxx::v_noabi::options::client::server_api_opts | ( |  | ) | const

inline

Gets the current server API options or returns a disengaged optional if there are no server API options set.

Returns
  The server API options.

## server_api_opts() [2/2]

client & mongocxx::v_noabi::options::client::server_api_opts | ( | server_api | server_api_opts | ) |

inline

Sets the server API options.

Parameters

  server_api_opts | The options for server API.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## ssl_opts() [1/2]

bsoncxx::v_noabi::stdx::optional< tls > const & mongocxx::v_noabi::options::client::ssl_opts | ( |  | ) | const

inline

The current SSL-related options.

Returns
  The SSL-related options.

Deprecated
  Please use tls_opts instead.

## ssl_opts() [2/2]

client & mongocxx::v_noabi::options::client::ssl_opts | ( | tls | ssl_opts | ) |

inline

Sets the SSL-related options.

Parameters

  ssl_opts | The SSL-related options.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

Deprecated
  Please use tls_opts instead.

## tls_opts() [1/2]

bsoncxx::v_noabi::stdx::optional< tls > const & mongocxx::v_noabi::options::client::tls_opts | ( |  | ) | const

inline

The current TLS-related options.

Returns
  The TLS-related options.

## tls_opts() [2/2]

client & mongocxx::v_noabi::options::client::tls_opts | ( | tls | tls_opts | ) |

inline

Sets the TLS-related options.

Parameters

  tls_opts | The TLS-related options.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/client.hpp